---
title: WebGL2RenderingContext.framebufferTextureLayer()
slug: Web/API/WebGL2RenderingContext/framebufferTextureLayer
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.framebufferTextureLayer()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> attaches a single layer of a texture to a framebuffer.</p>

<p>This method is similar to {{domxref("WebGLRenderingContext.framebufferTexture2D()")}}, but only a given single layer of the texture level is attached to the attachment point.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.framebufferTextureLayer(<var>target</var>, <var>attachment</var>, <var>texture</var>, <var>level</var>, <var>layer</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>target</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the binding point (target). Possible values:
 <ul>
  <li><code>gl.FRAMEBUFFER</code>: Collection buffer data storage of color, alpha, depth and stencil buffers used to render an image.</li>
  <li><code>gl.DRAW_FRAMEBUFFER</code>: Equivalent to <code>gl.FRAMEBUFFER</code>.</li>
  <li><code>gl.READ_FRAMEBUFFER</code>: Used as a source for reading operations.</li>
 </ul>
 </dd>
 <dt><code>attachment</code></dt>
 <dd>A {{domxref("GLenum")}} specifying the attachment point for the <code>texture</code>. Possible values:
 <ul>
  <li><code>gl.COLOR_ATTACHMENT{0-15}</code>: Attaches the texture to one of the framebuffer's color buffers.</li>
  <li><code>gl.DEPTH_ATTACHMENT</code>: Attaches the texture to the framebuffer's depth buffer.</li>
  <li><code>gl.STENCIL_ATTACHMENT</code>: Attaches the texture to the framebuffer's stencil buffer.</li>
  <li><code>gl.DEPTH_STENCIL_ATTACHMENT</code>: depth and stencil buffer.</li>
 </ul>
 </dd>
 <dt><code>texture</code></dt>
 <dd>A {{domxref("WebGLTexture")}} object whose image to attach.</dd>
 <dt><code>level</code></dt>
 <dd>A {{domxref("GLint")}} specifying the mipmap level of the texture image to attach.</dd>
 <dt><code>layer</code></dt>
 <dd>A {{domxref("GLint")}} specifying the layer of the texture image to attach.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.framebufferTextureLayer(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0,
                           texture, 0, 8);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.4", "framebufferTextureLayer")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glFramebufferTextureLayer.xhtml", "glFramebufferTextureLayer")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.framebufferTextureLayer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.framebufferTexture2D()")}}</li>
</ul>
